# Get participant info schema for activity Participant info is required for each person in a reservation. You can use this endpoint for a preview of possible fields that might be used during the reservation flow. The response follows the JSON Schema Specification to describe the info requested for each participant. Endpoint: GET /activities/{activityUuid}/participants-info/schema Version: 3.5.0 ## Path parameters: - `activityUuid` (string, required) The UUID of the activity. ## Header parameters: - `X-Musement-Application` (string) A partner's application value, used for analyzing API usage and to identify areas of improvement. - `Accept-Language` (string) The value of this parameter might affect the language of the content in the response, provided a translation in the requested language is available. - `X-Musement-Version` (string) The API version to use for the request. When absent, the latest version is used by default, however the latest version may not be stable. Partners are encouraged to use the latest stable version: 3.4.0. Example: "3.4.0" ## Response 200 fields (application/json): - `title` (string, required) The type of item: * cart_customer_guest: Customer info for cart * cart_item_participants_info: Participant info for cart item * form: Extra customer data * participant: Participant info Enum: "cart_customer_guest", "cart_item_participants_info", "form", "participant" - `type` (string, required) Enum: "object" - `properties` (object, required) Example: {"firstname":{"type":"string","title":"First name","propertyOrder":1},"lastname":{"type":"string","title":"Last name","propertyOrder":2}} - `required` (array, required) A list of properties which require values in order to complete a reservation. Example: ["firstname","lastname"] ## Response 403 fields (application/json): - `code` (string, required) The internal Musement code for the error. Example: "0" - `message` (string, required) A message with a brief explanation of the error. Example: "You don't have permission to access this resource." ## Response 404 fields (application/json): - `code` (string, required) The internal Musement code for the error. Example: "1400" - `message` (string, required) A message with a brief explanation of the error. Example: "The activity does not require any participant information" ## Response default fields (application/json): - `code` (string, required) The internal Musement code for the error. Example: "0" - `message` (string, required) A message with a brief explanation of the error. Example: "There was an error"